---
ingress:
- name: "http-default"
  subdomain: www
  http:
  - path: /
    port: 3000

mysql:
- name: alt

auth:
- name: website
  accessType: confidential
  clientProtocol: openid-connect
  validRedirectURIs:
   - https://www.alt.staging-sip.ethz.ch/*
   - https://thealternative.ethz.ch/*
   - http://localhost/*
  scopes:
    defaultClientScopes:
      - roles
      - email
      - profile
  roles:
   - name: admin
     description: Admin has maximum privileges.

resources:
  limits:
    memory: 400Mi
  requests:
    memory: 100Mi

env:
- name: NEXTAUTH_URL
  value: https://thealternative.ethz.ch
- name: NEXTAUTH_SECRET
  secret:
    key: nextauthSecret
    create: provided
- name: MAILER_USERNAME
  secret:
    key: mailerUsername
    create: provided
- name: MAILER_PASSWORD
  secret:
    key: mailerPassword
    create: provided
- name: MAILER_HOST
  secret:
    key: mailerHost
    create: provided
- name: MAILER_NAME
  secret:
    key: mailerName
    create: provided

replicas: 1
